Bug 494471 - Close button doesn't work in qt4.5 + needs update
Close button doesn't work in qt4.5 + needs update
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: qjackctl (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Orcan Ogetbil
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-06 22:58 EDT by Orcan Ogetbil
Modified: 2009-05-09 00:01 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.3.4-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-27 21:18:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
close button fix (qt4.5) (1.01 KB, patch)
2009-04-06 22:59 EDT, Orcan Ogetbil
no flags Details | Diff
fix locale path (2.08 KB, patch)
2009-04-06 23:00 EDT, Orcan Ogetbil
no flags Details | Diff

  None (edit)
Description Orcan Ogetbil 2009-04-06 22:58:21 EDT
The close button on top right of the window does not show up when qjackctl is
compiled and/run against qt4.5 which is going to hit F-9, F-10 repos soon. It
is already in rawhide.

Additionally, there is an upstream update on this package. This update (0.3.4) installs locale .qm files into %{_datadir}/locale. According to the guidelines, usage of %{_datadir}/locale/* is forbidden in %files section. These files are not regular locale files but they are qt style locale files. They need to be installed somewhere else, possibly in %{_datadir}/%{name}/locale

I'm attaching patches to fix both issues. Note that these patches are against the new version (0.3.4) of qjackctl.

I also filed ACL requests in pkgdb:
   https://admin.fedoraproject.org/pkgdb/packages/name/qjackctl
I can fix these issues if I'm granted permission.
Comment 1 Orcan Ogetbil 2009-04-06 22:59:13 EDT
Created attachment 338452 [details]
close button fix (qt4.5)
Comment 2 Orcan Ogetbil 2009-04-06 23:00:10 EDT
Created attachment 338453 [details]
fix locale path
Comment 3 Rex Dieter 2009-04-07 08:53:27 EDT
When/if new builds are done against qt-4.5, I'd also suggest adding (something like):
Requires: qt4 >= %{_qt4_version}

and it can be added to pending qt45 updates
F-9: https://admin.fedoraproject.org/updates/F9/FEDORA-2009-3356
F-10: https://admin.fedoraproject.org/updates/F10/FEDORA-2009-3389
(or pushed separately, provided it doesn't land in stable before qt45 does).
Comment 4 Kevin Kofler 2009-04-09 16:36:19 EDT
I'm not convinced the locale path patch really makes sense. The spirit of the "%{_datadir}/locale/* is forbidden" guideline is that all language-specific files need to be qualified with %lang for that language (e.g. %lang(de)), which the %find_lang macro does for you (for standard .mo files). So throwing those files into a subdirectory does not actually fix anything. What is really needed is a %find_lang-type macro for Qt translations. (That or get the upstream projects to use gettext instead like the rest of the world, including KDE, does. But I'm sure there will always be projects using Qt's translation mechanism, starting from Qt itself.)

IMHO we should get the Qt 4.5 fixes out ASAP and leave the locale issues for a later cleanup when we're not in a hurry. You should also file a separate bug for the locale stuff, 2 issues in one bug report = bad. The patch as it is there is IMHO wrong.
Comment 5 Kevin Kofler 2009-04-09 16:39:33 EDT
In addition: do we actually want to push out that version upgrade? What does it fix? I'd rather just apply the Qt 4.5 patch to what we currently have unless the maintainer agrees to an upgrade.
Comment 6 Orcan Ogetbil 2009-04-09 16:44:22 EDT
So, installing .qm files directly in /usr/share/locale/ = right ?

If you look closely, the patch does not put them in a subdirectory of
/usr/share/locale/; it puts them into /usr/share/%{name}/locale/


As for the upgrade, this is mostly a bugfix release. I find it useful. But you're right, it's up to the packager.
Comment 7 Orcan Ogetbil 2009-04-11 18:45:08 EDT
Kevin, did you see my question above?
Comment 8 Orcan Ogetbil 2009-04-11 18:54:59 EDT
As far as I can tell, there are many other packages, which put their locale files inside %{_datadir}/%{name}/locale or %{_datadir}/%{name}/lang or something similar.

Examples include: amsn, muse, lmms, ...

Why is it right to put the non-gettext language files inside %{_datadir}/%{name} for these packages, but not for qjackctl?
Comment 9 Kevin Kofler 2009-04-11 19:33:53 EDT
Right, we can do that. (Ideally, the maintainer should do it, but he appears to be AWOL. :-( His fedoraproject.org e-mail address bounces, indicating he hasn't renewed his password as of now.) They should still get %lang-marked as well though.

Right now, my priority was to get a build which works with Qt 4.5 into the Qt 4.5 update set ASAP.
Comment 10 Fedora Update System 2009-04-18 01:47:01 EDT
qjackctl-0.3.4-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/qjackctl-0.3.4-1.fc11
Comment 11 Orcan Ogetbil 2009-04-27 21:18:54 EDT
I think we are done with this.
Comment 12 Fedora Update System 2009-05-09 00:01:14 EDT
qjackctl-0.3.4-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.